﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace WindowsFormsApplication14
{
    public class CustomAutoCompleteSuggestHelper : AutoCompleteSuggestHelper
    {
        public CustomAutoCompleteSuggestHelper(RadDropDownListElement element)
            : base(element)
        {
        }

        protected override bool DefaultFilter(RadListDataItem item)
        {
            return item.Text.ToLower().Contains(this.Filter.ToLower());
        }

        public override void AutoComplete(KeyPressEventArgs e)
        {
            base.AutoComplete(e);
            if (this.DropDownList.Items.Count > 0)
            {
                this.DropDownList.SelectedIndex = this.DropDownList.SelectedIndex;
            }
        }
    }
}
