﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace WindowsFormsApplication14
{
    public partial class Form1 : Form
    {
        string highlight = String.Empty;

        public Form1()
        {
            InitializeComponent();

            radDropDownList1.Items.Add("usa");
            radDropDownList1.Items.Add("uk");
            radDropDownList1.Items.Add("usomething1");
            radDropDownList1.Items.Add("usomething2");


            radDropDownList1.VisualListItemFormatting += radDropDownList1_VisualListItemFormatting;
            radDropDownList1.TextChanged += radDropDownList1_TextChanged;

            radDropDownList1.DropDownListElement.AutoCompleteSuggest = new CustomAutoCompleteSuggestHelper(radDropDownList1.DropDownListElement);

            radDropDownList1.DropDownListElement.AutoCompleteSuggest.DropDownList.VisualItemFormatting+= radDropDownList1_VisualListItemFormatting;
        }

        void radDropDownList1_TextChanged(object sender, EventArgs e)
        {
            highlight = this.radDropDownList1.Text;

            foreach (RadListVisualItem item in radDropDownList1.ListElement.ViewElement.Children)
            {
                item.Synchronize();
            }

            foreach (RadListVisualItem item in radDropDownList1.DropDownListElement.AutoCompleteSuggest.DropDownList.ListElement.ViewElement.Children)
            {
                item.Synchronize();
            }
        }

        void radDropDownList1_VisualListItemFormatting(object sender, Telerik.WinControls.UI.VisualItemFormattingEventArgs args)
        {
            string text = args.VisualItem.Data.Text;

            if (!string.IsNullOrEmpty(highlight))
            { 
                int start = text.IndexOf(highlight, 0);
                if(start >= 0)
                {
                    args.VisualItem.Text = String.Format("<html>{0}<span style=\"background-color:yellow\">{1}</span>{2}",
                    text.Substring(0, start),
                    highlight,
                    text.Substring(start + highlight.Length));
                    return;
                }
            }

            args.VisualItem.Text = String.Format("<html>{0}", text);
        }

    }
}
